{

	"executor": {
		"executorType": "sequentialExecutor",
		"sequence": [ "start", "inputToCVMat","cvtColor", "resize", "padding", "convertTo", "transpose", "CVMatToTensor", "infer", "tensorToFloatVec", "sigmoid", "final" ],
		"dataStream": {
			"inputToCVMat": {
				"input": [ "srcImage" ],
				"output": [ "CVMatOutput" ]
			},
			"cvtColor": {
				"input": [ "CVMatOutput" ],
				"output": [ "cvtColorOutput" ]
			},
			"resize": {
				"input": [ "cvtColorOutput" ],
				"output": [ "resizeOutput" ]
			},			
			"padding": {
				"input": [ "resizeOutput" ],
				"output": [ "paddingOutput" ]
			},
			"convertTo": {
				"input": [ "paddingOutput" ],
				"output": [ "convertToOutput" ]
			},
			"transpose": {
                "input": ["convertToOutput"],
                "output": ["transposeOutput"]
            },
			"CVMatToTensor": {
				"input": [ "transposeOutput" ],
				"output": [ "CVMatToTensorOutput" ]
			},
			"infer": {
				"input": [ "CVMatToTensorOutput" ],
				"output": [ "inferOutput" ]
			},
			"tensorToFloatVec": {
				"input": [ "inferOutput" ],
				"output": [ "tensorToFloatVecOutput" ]
			},
			"sigmoid": {
				"input": [ "tensorToFloatVecOutput" ],
				"output": [ "output" ]
			}
		}
	},
	"node": {
		"start": {
			"nodeType": "StartNode"
		},
		"inputToCVMat": {
			"nodeType": "InputToCVMatNode"
		},
		"cvtColor": {
			"nodeType": "CvtColorNode",
			"code": "RGB"
		},
		"resize": {
			"nodeType": "ResizeNode",
			"width": 384,
			"height": 384,
			"equalProportion": true
		},
		"padding": {
			"nodeType": "PaddingNode",
			"width": 384,
			"height": 384,
			"borderType": 0,
			"makeBorderType": 0,
			"scalarArray": [ 255, 255, 255, 0 ]
		},
		"convertTo": {
			"nodeType": "ConvertToNode",
			"rtype": 5,
			"alpha": 0.003921568627451,
			"beta": 0.0
		},
		"transpose": {
            "nodeType": "TransposeNode",
            "count": 3
        },
		"CVMatToTensor": {
			"nodeType": "CVMatToTensorNode",
			"elemsize": 4,
			"name": "inputs_0",
			"layout": [ "n", "c", "h", "w" ]
		},
		"infer": {
			"nodeType": "InferenceNode",
			"backendType": 3,
			"precision": 0,
			"modelFileNames": [ "attcontentrec_v1.xml","attcontentrec_v1.bin" ]
		},
		"tensorToFloatVec": {
			"nodeType": "TensorToFloatVecNode",
			"index": 2
		},
		"sigmoid": {
			"nodeType": "SigmoidNode"
		},
		"final": {
			"nodeType": "FinalNode",
			"release": [ "srcImage" ]
		}
	}
}